# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name bytestring-trie

%global common_summary An efficient finite map from (byte)strings to values

%global common_description The implementation is based on big-endian patricia trees, \
like "Data.IntMap". We first trie on the elements of \
"Data.ByteString" and then trie on the big-endian bit \
representation of those elements. Patricia trees have \
efficient algorithms for union and other merging operations, \
but they're also quick for lookups and insertions.

%global ghc_pkg_deps ghc-binary-devel

Name:           ghc-%{pkg_name}
Version:        0.2.3
Release:        4%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9 ppc64
BuildRequires:  ghc, ghc-doc, ghc-prof
# macros for building haskell packages
BuildRequires:  ghc-rpm-macros >= 0.7.3
BuildRequires:  hscolour
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


# define the devel and prof subpkgs, devel post[un] scripts, and filelists:
# ghc-%%pkg_name{,devel,prof}.files
%ghc_lib_package


%changelog
* Wed May 11 2011 Ben Boeckel <mathstuf@gmail.com> - 0.2.3-4
- Update to cabal2spec-0.22.7

* Tue May 10 2011 Ben Boeckel <mathstuf@gmail.com> - 0.2.3-3
- Update to cabal2spec-0.22.6

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.2.3-2
- Enable build on sparcv9

* Thu Feb 17 2011 Ben Boeckel <mathstuf@gmail.com> - 0.2.3-1
- Update to 0.2.3

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 15 2011 Ben Boeckel <mathstuf@gmail.com> - 0.2.2-2
- Update to cabal2spec-0.22.4
- Rebuild

* Sat Sep 04 2010 Ben Boeckel <mathstuf@gmail.com> - 0.2.2-1
- Initial package

* Sat Sep  4 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.2.2-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
